Main Page Widgets Namespaces Book

# Gtk::TreeDragDest Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeDragDest:

[legend]
List of all members.

## Public Member Functions
virtual | ~TreeDragDest ()
GtkTreeDragDest* | gobj ()
| Provides access to the underlying C GObject.
const GtkTreeDragDest* | gobj () const
| Provides access to the underlying C GObject.
bool | drag_data_received (const TreeModel::Path& dest, const SelectionData& selection_data)
| Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data .
bool | drag_data_received (const TreeModel::Path& dest, GtkSelectionData* selection_data)
| Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data .
bool | row_drop_possible (const TreeModel::Path& dest, const SelectionData& selection_data) const
bool | row_drop_possible (const TreeModel::Path& dest, GtkSelectionData* selection_data)
## Static Public Member Functions
void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual bool | drag_data_received_vfunc (const TreeModel::Path& dest, GtkSelectionData* selection_data)
virtual bool | row_drop_possible_vfunc (const TreeModel::Path& dest, GtkSelectionData* selection_data)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::TreeDragDest> | wrap (GtkTreeDragDest* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::TreeDragDest::~TreeDragDest | ( |  | ) | `[virtual]`

## Member Function Documentation

void Gtk::TreeDragDest::add_interface | ( | GType | gtype_implementer | ) | `[static]`

bool Gtk::TreeDragDest::drag_data_received | ( | const TreeModel::Path& | dest,
|  | GtkSelectionData* | selection_data
| ) |

  | Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data . If dest is outside the tree so that inserting before it is impossible, `false` will be returned. Also, `false` may be returned if the new row is not created for some model-specific reason. Should robustly handle a dest no longer found in the model! Parameters:
  dest | Row to drop in front of.
  selection_data | Data to drop.
Returns: Whether a new row was created before position dest .

bool Gtk::TreeDragDest::drag_data_received | ( | const TreeModel::Path& | dest,
|  | const SelectionData& | selection_data
| ) |

  | Asks the Gtk::TreeDragDest to insert a row before the path dest , deriving the contents of the row from selection_data . If dest is outside the tree so that inserting before it is impossible, `false` will be returned. Also, `false` may be returned if the new row is not created for some model-specific reason. Should robustly handle a dest no longer found in the model! Parameters:
  dest | Row to drop in front of.
  selection_data | Data to drop.
Returns: Whether a new row was created before position dest .

virtual bool Gtk::TreeDragDest::drag_data_received_vfunc | ( | const TreeModel::Path& | dest,
|  | GtkSelectionData* | selection_data
| ) | `[protected, virtual]`

const GtkTreeDragDest* Gtk::TreeDragDest::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Gtk::ListStore, and Gtk::TreeStore.

GtkTreeDragDest* Gtk::TreeDragDest::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Gtk::ListStore, and Gtk::TreeStore.

bool Gtk::TreeDragDest::row_drop_possible | ( | const TreeModel::Path& | dest,
|  | GtkSelectionData* | selection_data
| ) |

bool Gtk::TreeDragDest::row_drop_possible | ( | const TreeModel::Path& | dest,
|  | const SelectionData& | selection_data
| ) | const

virtual bool Gtk::TreeDragDest::row_drop_possible_vfunc | ( | const TreeModel::Path& | dest,
|  | GtkSelectionData* | selection_data
| ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TreeDragDest> wrap | ( | GtkTreeDragDest* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- treedragdest.h